Last Comment Bug 10620 - [DOGFOOD] Vcard from 4.x can not be completely viewed
: [DOGFOOD] Vcard from 4.x can not be completely viewed
Status: VERIFIED FIXED
[PDT-]
:
Product: SeaMonkey
Classification: Client Software
Component: MailNews: Address Book & Contacts (show other bugs)
: Trunk
: x86 Windows NT
: P3 normal (vote)
: M13
Assigned To: rhp (gone)
: esther
Mentors:
Depends on:
Blocks: 11091
  Show dependency treegraph
 
Reported: 1999-07-27 17:10 PDT by marina
Modified: 2004-11-22 17:25 PST (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments

Description marina 1999-07-27 17:10:11 PDT
The Vcard that comes attached from the 4.x client can not be display in
condensed form "Organization" and " Departement" fields and  if you click
"View Complete card" button it won't help.
Those fields (title,organization and departement) are missing in the 5.0 AB card
but title actually is getting displayed.
So is it a design desision to exclude those fileds from the Vcard but what about
compatibility and export of 4.x ABook? And why the "title" field gets displayed?
Comment 1 hangas 1999-07-27 17:25:59 PDT
If this is an issue with vcard then it would not go to me and would not be an
address book bug.  I am not clear on how the vcard display in this bug relates to
the address book.
Comment 2 lchiang 1999-07-27 22:27:59 PDT
Esther, can you check this out?
Comment 3 esther 1999-07-28 16:31:59 PDT
Per conversation with mscott, I'm reassigning this to rhp.  He is the person
who's responsible for how the vCard will display in 5.0.

Currently the Department and Organization is not being displayed in the
Condensed view of a vCard, when viewing a message in Seamonkey.  To clarify,
these fields are not missing in 5.0 AB card, they are on the Address Tab now.
Also, they should be displayed in 5.0 in the Condensed View.
Comment 4 rhp (gone) 1999-07-28 16:47:59 PDT
Yeah, I've seen this...will investigate.

- rhp
Comment 5 Phil Peterson 1999-08-19 16:19:59 PDT
Jeff, can you look at this while Rich is on sabbatical? Thanks.
Comment 6 Phil Peterson 1999-08-27 13:12:59 PDT
Jeff's on vacation; moving his M10 bugs to M11
Comment 7 lchiang 1999-09-20 15:52:59 PDT
(target milestone is M11 or M12 - add to mail beta tracking bug)
Comment 8 rhp (gone) 1999-11-06 06:56:59 PST
This has bugged me for a while and I think we should fix this for Dogfood since
it prevents data from being viewed.

- rhp
Comment 9 leger 1999-11-08 17:05:59 PST
Sorry, not needed for Dogfood. Putting on PDT- radar.
Comment 10 marina 1999-11-11 10:33:59 PST
have to add some testing info after looking at the Win 1999-11-11 M11 build:
in Reply Vcard  is received as an attachment "marina.vcf" (which i guess is a
right behaviour) but there is no way to view this attachment.
Comment 11 Henrik Gemal 1999-12-16 05:07:59 PST
The url property is also missing. This vCard show alot of the stuff missing:

begin:vcard
n:Ramachandran;Viswanath
tel;fax:(650) 528-4129
tel;work:(650) 937-2168
x-mozilla-html:TRUE
url:http://people.netscape.com/vishy
org:<H3>America Online</H3>;<img
src="http://people.netscape.com/vishy/ns-anim.gif">etscape Communicator
version:2.1
email;internet:vishy@netscape.com
title:<H4>Engineer</H4>
adr;quoted-printable:;;501 E. Middlefield Road=0D=0A;Mountain View;CA;94043;USA
fn:<H5>Viswanath Ramachandran</H5>
end:vcard
Comment 12 rhp (gone) 2000-01-06 08:04:59 PST
Fixed...finally!!! May I never have to look at the vCard parsing code again.

- rhp
Comment 13 esther 2000-01-25 10:04:48 PST
Using build 2000012401 on win98, mac and linux this bug as stated is fixed.  All 
the fields that are displayed in 4.7 are displayed when doing a View Complete 
Card in 5.0.  However, on Mac the button titles are missing for the Address Book 
Card, will log a separate bug (24986).  This is verified.

Note You need to log in before you can comment on or make changes to this bug.